import { DirectiveBinding, VNode } from 'vue';
interface HTMLElementWithSwimUpOptions extends HTMLElement {
    directiveSwipUpOptions: {
        distance: number;
        percent: number;
    };
}
/**
 * Добавление анимации подплытия вверх для блока
 */
declare const swimUp: {
    mounted(el: HTMLElementWithSwimUpOptions, binding: DirectiveBinding, _vnode: VNode): void;
    unmounted(el: HTMLElementWithSwimUpOptions, _binding: DirectiveBinding, _vnode: VNode): void;
};
export default swimUp;
